Bug 71361 - i18n: add Bamanankan/Bambara_Mali [bm-ML] locale data
Summary: i18n: add Bamanankan/Bambara_Mali [bm-ML] locale data
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-07 22:04 UTC by JJ Méric
Modified: 2013-11-14 14:39 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
XML file for bm-ML locale made using http://www.it46.se/localegen/ (13.16 KB, text/xml)
2013-11-07 22:04 UTC, JJ Méric
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JJ Méric 2013-11-07 22:04:40 UTC
Created attachment 88850 [details]
XML file for bm-ML locale made using http://www.it46.se/localegen/

Here is locale for bm-ML (bambara)

Thanks for help with this
Comment 1 Eike Rathke 2013-11-08 11:13:10 UTC
Test-compiling this I got

Warning: Time100SecSeparator is different from DecimalSeparator, this may be correct or not. Intended?
Warning: Don't forget to adapt corresponding FormatCode elements when changing separators.
Warning: QuotationStart may be wrong: U+201C “
Warning: QuotationEnd may be wrong: U+201D ”
Error: Ordering of ThousandSeparator and DecimalSeparator not correct in formatindex="4".
Warning: formatindex="4","44","45" are the only FormatCode elements checked for separator usage, there may be others that have errors.

I assume that DecimalSeparator is '.' dot instead of ',' comma, and that ThousandSeparator is ',' comma instead of '.' dot.

I assume that the single quotation marks instead should be
<‘> U+2018 LEFT SINGLE QUOTATION MARK
<’> U+2019 RIGHT SINGLE QUOTATION MARK

Could also be something different, for example
<‚> U+201A SINGLE LOW-9 QUOTATION MARK
<‛> U+201B SINGLE HIGH-REVERSED-9 QUOTATION MARK
<‹> U+2039 SINGLE LEFT-POINTING ANGLE QUOTATION MARK
<›> U+203A SINGLE RIGHT-POINTING ANGLE QUOTATION MARK

The currency replaceTo needs to be "[$CFA-62E]" with 62E instead of 340C (which is LCID for French in Mali).
Comment 2 Commit Notification 2013-11-08 11:24:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8176a5d487fe539fb91fa889a8cf2d710913b29

added Bamanankan/Bambara_Mali [bm-ML] locale data, fdo#71361



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.